/* ==========================================================================
   WooCommerce Onsale and Out of Stock styles - begin
   ========================================================================== */

.woocommerce {
    
    .mkdf-onsale,
    .mkdf-out-of-stock {
        position: absolute;
        display: block;
        top: 18px;
        width: auto;
        height: 20px;
        color: #fff;
        font-size: 12px;
        font-weight: 600;
        line-height: 21px;
        letter-spacing: 1px;
        padding: 0 11px;
        border-radius: 5em;
        margin: 0;
        text-align: center;
        z-index: 100;
        @include mkdfTransform(translateZ(0));
        box-sizing: border-box;
    }
    
    .mkdf-onsale {
        right: 18px;
        background-color: $second-main-color;
    }
    
    .mkdf-out-of-stock {
        right: 18px;
        background-color: $first-main-color;
    }
}

.mkdf-woo-single-page {
    
    .mkdf-single-product-content {
        
        .mkdf-out-of-stock {
            right: 10px;
        }
    }
    
    &.mkdf-woo-single-thumb-on-left-side {
        
        .mkdf-single-product-content {
            
            .mkdf-onsale {
                left: 120px;
            }
        }
    }
}
/* ==========================================================================
   WooCommerce Onsale and Out of Stock styles - end
   ========================================================================== */